#!/bin/tcsh
set filespec = '*.dat'
set data_dir = './data'

cd $data_dir

set stations = `/bin/ls $filespec | awk '{print substr($0,8,4)}' | sort -u`
foreach station ( $stations )
	echo "====================================================="
	echo -n "Number of files for station $station : "
	/bin/ls ???????${station}.dat | wc -l
	/bin/ls ???????${station}.dat | \
	awk '{n += 1} {printf("%3.3i: %s\n", n, $0)}'
	echo
end
